package database

import (
	"github.com/google/uuid"
	"gorm.io/gorm"
	"time"
)

type Endpoint struct {
	gorm.Model
	ID             uuid.UUID `gorm:"primaryKey"`
	Name           string
	LastConnection *time.Time
	RegisteredDate *time.Time
	//	OSInfo         common.OSInfo
	Enabled    bool
	SecretHash string
}

type PackageList struct {
	gorm.Model
	ID uuid.UUID `gorm:"primaryKey"`
}

type RegistrationToken struct {
	gorm.Model
	Hash string
}
